TestValidate Class Reference
Collaboration diagram for TestValidate:
[legend]

## Static Public Attributes

static const int | READ1_POS = 1010
static const int | READ1_ALIGN_END = 1016
static const int | READ1_UNCLIP_START = 1010
static const int | READ1_UNCLIP_END = 1016
static const int | READ1_ALIGN_LEN = 7
static const std::string | READ1_CIGAR = "5M2D"
static const std::string | READ1_SEQ = "CCGAA"
static const std::string | READ1_QUAL = "6>6+4"
static const int | READ2_POS = 1011
static const int | READ6_POS = 1750
static const int | READ6_ALIGN_END = 1754
static const int | READ6_UNCLIP_START = 1745
static const int | READ6_UNCLIP_END = 1754
static const int | READ6_ALIGN_LEN = 5
static const std::string | READ6_CIGAR = "3S2H5M"
static const std::string | READ6_SEQ = "TGCACGTN"
static const std::string | READ6_QUAL = "453;>>>>"
static const int | READ7_POS = 1750
static const int | READ7_ALIGN_END = 1754
static const int | READ7_UNCLIP_START = 1747
static const int | READ7_UNCLIP_END = 1758
static const int | READ7_ALIGN_LEN = 5
static const std::string | READ7_CIGAR = "3S5M1S3H"
static const std::string | READ7_SEQ = "TGCACGTNG"
static const std::string | READ7_QUAL = "453;>>>>5"

## Detailed Description

Definition at line 36 of file TestValidate.h.

## Member Data Documentation

## READ1_ALIGN_END

const int TestValidate::READ1_ALIGN_END = 1016

static

Definition at line 40 of file TestValidate.h.

## READ1_ALIGN_LEN

const int TestValidate::READ1_ALIGN_LEN = 7

static

Definition at line 43 of file TestValidate.h.

## READ1_CIGAR

const std::string TestValidate::READ1_CIGAR = "5M2D"

static

Definition at line 44 of file TestValidate.h.

## READ1_POS

const int TestValidate::READ1_POS = 1010

static

Definition at line 39 of file TestValidate.h.

## READ1_QUAL

const std::string TestValidate::READ1_QUAL = "6>6+4"

static

Definition at line 46 of file TestValidate.h.

## READ1_SEQ

const std::string TestValidate::READ1_SEQ = "CCGAA"

static

Definition at line 45 of file TestValidate.h.

## READ1_UNCLIP_END

const int TestValidate::READ1_UNCLIP_END = 1016

static

Definition at line 42 of file TestValidate.h.

## READ1_UNCLIP_START

const int TestValidate::READ1_UNCLIP_START = 1010

static

Definition at line 41 of file TestValidate.h.

## READ2_POS

const int TestValidate::READ2_POS = 1011

static

Definition at line 48 of file TestValidate.h.

## READ6_ALIGN_END

const int TestValidate::READ6_ALIGN_END = 1754

static

Definition at line 51 of file TestValidate.h.

## READ6_ALIGN_LEN

const int TestValidate::READ6_ALIGN_LEN = 5

static

Definition at line 54 of file TestValidate.h.

## READ6_CIGAR

const std::string TestValidate::READ6_CIGAR = "3S2H5M"

static

Definition at line 55 of file TestValidate.h.

## READ6_POS

const int TestValidate::READ6_POS = 1750

static

Definition at line 50 of file TestValidate.h.

## READ6_QUAL

const std::string TestValidate::READ6_QUAL = "453;>>>>"

static

Definition at line 57 of file TestValidate.h.

## READ6_SEQ

const std::string TestValidate::READ6_SEQ = "TGCACGTN"

static

Definition at line 56 of file TestValidate.h.

## READ6_UNCLIP_END

const int TestValidate::READ6_UNCLIP_END = 1754

static

Definition at line 53 of file TestValidate.h.

## READ6_UNCLIP_START

const int TestValidate::READ6_UNCLIP_START = 1745

static

Definition at line 52 of file TestValidate.h.

## READ7_ALIGN_END

const int TestValidate::READ7_ALIGN_END = 1754

static

Definition at line 60 of file TestValidate.h.

## READ7_ALIGN_LEN

const int TestValidate::READ7_ALIGN_LEN = 5

static

Definition at line 63 of file TestValidate.h.

## READ7_CIGAR

const std::string TestValidate::READ7_CIGAR = "3S5M1S3H"

static

Definition at line 64 of file TestValidate.h.

## READ7_POS

const int TestValidate::READ7_POS = 1750

static

Definition at line 59 of file TestValidate.h.

## READ7_QUAL

const std::string TestValidate::READ7_QUAL = "453;>>>>5"

static

Definition at line 66 of file TestValidate.h.

## READ7_SEQ

const std::string TestValidate::READ7_SEQ = "TGCACGTNG"

static

Definition at line 65 of file TestValidate.h.

## READ7_UNCLIP_END

const int TestValidate::READ7_UNCLIP_END = 1758

static

Definition at line 62 of file TestValidate.h.

## READ7_UNCLIP_START

const int TestValidate::READ7_UNCLIP_START = 1747

static

Definition at line 61 of file TestValidate.h.

The documentation for this class was generated from the following files:

- bam/test/TestValidate.h
- bam/test/TestValidate.cpp